<?php
require_once ("../../config/Cado.php");
require_once ("../venta/cVentapago.php");
$oVentapago = new cVentapago();
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once ("../formatos/formato.php");
$dts1=$oVentapago->filtrar($_POST['ven_id']);
$num_rows= mysqli_num_rows($dts1);
?>
<script type="text/javascript">
$(function() {
	
}); 
</script>
<style>
	div#tabla_pago_detalle { margin: 0 0; }
	div#tabla_pago_detalle table { margin: 0 0; border-collapse: collapse;}
	div#tabla_pago_detalle table td, div#tabla_pago_detalle table th { border: 1px solid #eee; padding: 3px 8px; font-size:13px; }
	div#tabla_pago_detalle table th { height:16px }
</style>
<div id="tabla_pago_detalle" class="table-responsive">	
 	
<table >
    <thead>
        <tr class="ui-widget-header">
          	<th>FORMA</th>
          	<th>DETALLE</th>
          	<th align="right" nowrap="nowrap">MONTO</th>
          	<th align="right" nowrap="nowrap">ABONO</th>
			<th align="right" nowrap="nowrap">SALDO</th>
			<th>ESTADO</th>
        </tr>
    </thead>
    <tbody>
    <?php
	while($dt1 = mysqli_fetch_array($dts1))
	{
		$monto = $dt1['tb_ventapago_mon'];	
		$abonos=0;
		$mod_id=3;
		$est1=1;
		$est2=2;
		$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$dt1['tb_ventapagoingresos_id'],$est1,$est2);
		$num_rows3= mysqli_num_rows($dts3);
		while($dt3 = mysqli_fetch_array($dts3))
		{
			$abonos+= $dt3['tb_ingreso_imp'];
		} 
		mysqli_free_result($dts3);
		$saldo = ($monto - $abonos);
	?>
        <tr style="font-weight:bold" >
            <td>
				<?php 
					if($dt1['tb_formapago_id']==1)echo 'CONTADO';
					if($dt1['tb_formapago_id']==2)echo 'CREDITO';
				?>
            </td>
			<td align="right">
				<?php
					if($dt1['tb_formapago_id']==1){
						if($dt1['tb_modopago_id']==1)echo 'EFECTIVO';
						if($dt1['tb_modopago_id']==2)echo 'DEPOSITO';
						if($dt1['tb_modopago_id']==4)echo 'TRANSFERENCIA';
						if($dt1['tb_modopago_id']==5)echo 'CHEQUE';
						if($dt1['tb_modopago_id']==6)echo 'TARJETA';
						if($dt1['tb_modopago_id']==7)echo 'YAPE';
						if($dt1['tb_modopago_id']==8)echo 'PLIN';
					}
					if($dt1['tb_formapago_id']==2)echo 'A '.$dt1['tb_ventapago_numdia'].' días | Vencimiento: '.mostrarFecha($dt1['tb_ventapago_fecven']);
				?>
			</td>
			<td align="right" nowrap="nowrap"><?php echo formato_money($dt1['tb_ventapago_mon'])?></td>
			<td align="right" nowrap="nowrap"><?php echo formato_money($abonos);?></td>
			<td align="right" nowrap="nowrap"><?php echo formato_money($saldo)?></td>
			<td><?php 
					if($dt1['tb_ventapago_est']==1)echo '<span style="font-size:10px;" class="badge badge-success">Cancelado</span>';
					if($dt1['tb_ventapago_est']==2)echo '<span style="font-size:10px;" class="badge badge-danger">Por Cobrar</span>';
				?>
			</td>
        </tr>
    <?php						
    }
    mysqli_free_result($dts1);
    ?>
    </tbody>
</table>
</div>